<form (ngSubmit)="submitForm()" [formGroup]="searchForm" class="search-form">

    <input formControlName="searchValue" class="search-form__input" placeholder="Search volumes" />
    
    <button class="button primary padding-5 margin-v10 w-150"
        (click)="toggleFilters()">
        Advanced search
    </button>

    <fieldset [@advancedSearch]="isFiltersToggled ? 'open' : 'close'"  formGroupName="filters" class="advanced-search">
            
        <div class="advanced-search__options margin-v10">

            <div class="options-item">
                <label for="maxResults">Max results</label>
                <select defaul formControlName="maxResults" class="options-item__select">
                    <option value="10">10</option>
                    <option value="20">20</option>
                    <option value="30">30</option>
                    <option value="40">40</option>
                </select>
            </div>

            <div class="options-item">
                <label for="orderBy">Order by</label>
                <select formControlName="orderBy" class="options-item__select">
                    <option value="relevance">Relevance</option>
                    <option value="newest">Newest</option>
                </select>
            </div>

            <div class="options-item">
                <label for="filter">Filter by</label>
                <select formControlName="filter" class="options-item__select">
                    <option value=""></option>
                    <option value="partial">Partial</option>
                    <option value="full">Full</option>
                    <option value="ebooks">E-Books</option>
                    <option value="free-ebooks">Free E-Books</option>
                    <option value="paid-ebooks">Paid E-Books</option>
                </select>
            </div>

            <div class="options-item">
                <label for="printType">Print Type</label>
                <select formControlName="printType" class="options-item__select">
                    <option value="all">All</option>
                    <option value="books">Books</option>
                    <option value="magazines">Magazines</option>
                </select>
            </div>

        </div>

    </fieldset>
    
    <button type="submit" 
        class="search-form__button button primary medium-btn percent-w50 rounded-50">
        Search
    </button>

</form>
